Get the authenticated user
curl --request GET \
--url https://api.orbit.devotel.io/api/v1/me/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/me/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/me/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"user": {
"id": "<string>",
"email": "jsmith@example.com",
"role": "<string>",
"emailVerified": true,
"twoFactorEnabled": true,
"name": "<string>",
"image": "<string>",
"voicemail_to_email_enabled": true,
"voicemail_to_email_address": "jsmith@example.com",
"inbox_signature": "<string>"
},
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"plan": "<string>",
"logoUrl": "<string>"
},
"organizations": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"role": "<string>",
"logoUrl": "<string>"
}
]
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": "<unknown>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": "<unknown>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": "<unknown>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Account
Get the authenticated user
Returns the authenticated user plus the active tenant and the list of organizations the user belongs to. The mobile client uses this to bootstrap post-login (replaces the legacy EXPO_PUBLIC_ORBIT_TENANT_ID env-var hack). The dashboard uses the same shape for the org-picker + Settings → Profile cards.
GET
/
api
/
v1
/
me
/
Get the authenticated user
⌘I